Index: code/trunk/data/levels/includes/weaponSettingsFPS.oxi
===================================================================
--- code/trunk/data/levels/includes/weaponSettingsFPS.oxi	(revision 11104)
+++ code/trunk/data/levels/includes/weaponSettingsFPS.oxi	(revision 11108)
@@ -10,4 +10,5 @@
       <WeaponSet firemode=0 />
       <WeaponSet firemode=1 />
+      <WeaponSet firemode=2 />
     </weaponsets>
     <weaponpacks>
@@ -19,37 +20,13 @@
         </links>
         <Weapon>
-          <HsW01 mode=0 munitionpershot=0 delay=0.0 damage=2.5 material="Flares/point_lensflare" muzzleoffset=" 0.7, -0.3, -3" />
-          <LightningGun mode=1 muzzleoffset="0,0,0" damage=3.14159 shielddamage=20/>
+          <HsW01 mode=0 munitionpershot=0 delay=0.0 damage=2.5 material="Flares/point_lensflare" muzzleoffset="0.7,-0.3,-3" />
+          <FlameGun mode=1 munitionpershot=1 damage=0.5 muzzleoffset="0.7,-0.3,-3"/>
+          <LightningGun mode=2 muzzleoffset="0,0,0" damage=3.14159 shielddamage=20/>
         </Weapon>
-        <LaserGun
-            position="0,0,0"
-            munitionType="LaserGunMunition"
-            bulletLoadingTime="0.2"
-            magazineLoadingTime="5.0"
-            speed="1000"
-            unlimitedMunition=true
-        />
-        <!--LaserGun
-            position="0,0,0"
-            munitionType="LaserGunMunition"
-            bulletLoadingTime="0.2"
-            magazineLoadingTime="5.0"
-            speed="1250"
-            unlimitedMunition=true
-        />
-      </WeaponPack>
-      <WeaponPack firemode=1>
-        <Fusion
-            position="0,0,0"
-            munitionType="FusionMunition"
-            bulletLoadingTime="0.3"
-            magazineLoadingTime="3"
-            speed="600"
-            unlimitedMunition=true
-        /-->
       </WeaponPack>
     </weaponpacks>
     <munition>
       <LaserMunition initialmagazines=8 maxmagazines=8 munitionpermagazine=5 replenishamount=1 replenishinterval=7.5/>
+      <FlameMunition initialmagazines=8 maxmagazines=8 munitionpermagazine=20/>
       <LightningMunition initialmagazines=2 maxmagazines=2 munitionpermagazine=8 />
     </munition>
Index: code/trunk/data/levels/includes/weaponSettingsGhost.oxi
===================================================================
--- code/trunk/data/levels/includes/weaponSettingsGhost.oxi	(revision 11104)
+++ code/trunk/data/levels/includes/weaponSettingsGhost.oxi	(revision 11108)
@@ -2,6 +2,5 @@
       <WeaponSlot position=" 1.3,4.66,-20" />
       <WeaponSlot position="-1.3,4.66,-20" />
-      <WeaponSlot position="13.7,4.66,-20" />
-      <WeaponSlot position="-16.3,4.66,-20" />
+      <WeaponSlot position="0,4.66,-20" />
     </weaponslots>
     <weaponsets>
@@ -9,5 +8,5 @@
       <WeaponSet firemode=1 />
       <WeaponSet firemode=2 />
-      <WeaponSet firemode=2 />
+      <WeaponSet firemode=3 />
     </weaponsets>
     <weaponpacks>
@@ -17,20 +16,19 @@
           <DefaultWeaponmodeLink firemode=1 weaponmode=1 />
           <DefaultWeaponmodeLink firemode=2 weaponmode=2 />
+          <DefaultWeaponmodeLink firemode=3 weaponmode=3 />
         </links>
         <Weapon>
           <HsW01 mode=0 munitionpershot=1 healthdamage=3.14159 delay=0 material="Flares/point_lensflare" />
           <HsW01 mode=0 munitionpershot=1 healthdamage=3.14159 delay=0.125 material="Flares/point_lensflare" muzzleoffset=" 0.5,0.6,1.7" />
-          <LightningGun mode=1 muzzleoffset="0,0,0" damage=30 shielddamage=10 />
+          <FusionFire mode=1 muzzleoffset="0,0,0" damage=30 shielddamage=10 />
         </Weapon>
         <Weapon>
           <HsW01 mode=0 munitionpershot=1 damage=3.14159 delay=0  material="Flares/point_lensflare" />
           <HsW01 mode=0 munitionpershot=1 damage=3.14159 delay=0.125 material="Flares/point_lensflare" muzzleoffset="-0.5,0.6,1.7" />
-          <LightningGun mode=1 muzzleoffset="0,0,0" damage=30 shielddamage=10 />
+          <FusionFire mode=1 muzzleoffset="0,0,0" damage=30 shielddamage=10 />
         </Weapon>
         <Weapon>
-          <SimpleRocketFire mode=2 munitionpershot=1 muzzleoffset="0,0,0" damage=50 />
-        </Weapon>
-        <Weapon>
-          <SimpleRocketFire mode=2 munitionpershot=1 muzzleoffset="0,0,0" damage=50 delay=0.1 />
+          <FlameGun mode=2 munitionpershot=1 damage=0.5 muzzleoffset="0,0,0"/>
+          <SplitGun mode=3 munitionpershot=1 damage=6.0 muzzleoffset="0.5,0.6,1.7" splittime=0.2 numberofsplits=2 numberofchilds=3 spread=0.1 damagereduction=2.0 />
         </Weapon>
       </WeaponPack>
@@ -38,5 +36,6 @@
     <munition>
       <LaserMunition initialmagazines=8 maxmagazines=8 munitionpermagazine=10 replenishamount=1 replenishinterval=7.5/>
-      <LightningMunition initialmagazines=4 maxmagazines=4 munitionpermagazine=8 />
-      <RocketMunition initialmagazines=5 maxmagazines=5 munitionpermagazine=1 />
+      <FusionMunition initialmagazines=4 maxmagazines=4 munitionpermagazine=8 />
+      <FlameMunition initialmagazines=8 maxmagazines=8 munitionpermagazine=20/>
+      <SplitMunition initialmagazines=8 maxmagazines=8 munitionpermagazine=5/>
     </munition>
Index: code/trunk/data/levels/templates/pickupRepresentationTemplates.oxt
===================================================================
--- code/trunk/data/levels/templates/pickupRepresentationTemplates.oxt	(revision 11104)
+++ code/trunk/data/levels/templates/pickupRepresentationTemplates.oxt	(revision 11108)
@@ -360,4 +360,5 @@
         <MunitionContainer munitiontype="RocketMunition" munitionamount=0 magazinesamount=10 />
         <MunitionContainer munitiontype="IceMunition" munitionamount=0 magazinesamount=10 />
+        <MunitionContainer munitiontype="FlameMunition" munitionamount=0 magazinesamount=10 />
         <MunitionContainer munitiontype="GravityBombMunition" munitionamount=0 magazinesamount=10 />
         <MunitionContainer munitiontype="MineMunition" munitionamount=0 magazinesamount=10 />
